diff --git a/CMakeLists.txt b/CMakeLists.txt
index bdba1e764..11dd37590 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -46,7 +46,7 @@ set( BUILD_VST3 true )
 if( DEFINED ENV{VST2SDK_DIR} )
   set( BUILD_VST2 true )
   file( TO_CMAKE_PATH "$ENV{VST2SDK_DIR}" VST2SDK_DIR )
-  message( ERROR " Building VST2 using " ${VST2SDK_DIR} " - this is an unsupported configuration" )
+  message( WARNING " Building VST2 using " ${VST2SDK_DIR} " - this is an unsupported configuration" )
 else()
   set( BUILD_VST2 false )
 endif()
diff --git a/cmake/versiontools.cmake b/cmake/versiontools.cmake
index 22d3384ec..0809731e6 100644
--- a/cmake/versiontools.cmake
+++ b/cmake/versiontools.cmake
@@ -1,7 +1,7 @@
 
 find_package(Git)
 
-if( DEFINED GIT_EXECUTABLE )
+if( Git_FOUND )
   execute_process(
     COMMAND ${GIT_EXECUTABLE} rev-parse --abbrev-ref HEAD
     WORKING_DIRECTORY ${SURGESRC}
diff --git a/src/common/SurgeStorage.cpp b/src/common/SurgeStorage.cpp
index f32dfa034..3892ffbc5 100644
--- a/src/common/SurgeStorage.cpp
+++ b/src/common/SurgeStorage.cpp
@@ -255,6 +255,7 @@ SurgeStorage::SurgeStorage(std::string suppliedDataPath) : otherscene_clients(0)
    datapath = suppliedDataPath;
 #else
    bool foundSurge = false;
+   std::string dllPath = "";
 
    // First check the portable mode sitting beside me
    {
@@ -277,12 +278,13 @@ SurgeStorage::SurgeStorage(std::string suppliedDataPath) : otherscene_clients(0)
          // Return or however you want to handle an error.
          goto bailOnPortable;
       }
-      
+
       // The path variable should now contain the full filepath for this DLL.
       std::string pn = path;
       int ep;
       if( (ep = pn.rfind( "\\" )) != string::npos )
       {
+         dllPath = pn.substr(0,ep);;
          auto spath = pn.substr( 0, ep ) + "\\SurgeData\\";
          datapath = spath;
          if( fs::is_directory( fs::path( spath ) ) )
@@ -322,12 +324,20 @@ SurgeStorage::SurgeStorage(std::string suppliedDataPath) : otherscene_clients(0)
       }
    }
 
-   PWSTR documentsFolder;
-   if (!SHGetKnownFolderPath(FOLDERID_Documents, 0, nullptr, &documentsFolder))
+   // Portable - first check for dllPath\\SurgeUserData
+   if( dllPath != "" && fs::is_directory( fs::path( dllPath + "\\SurgeUserData\\" )))
+   {
+      userDataPath = dllPath + "\\SurgeUserData\\";
+   }
+   else 
    {
-      CHAR path[4096];
-      wsprintf(path, "%S\\Surge\\", documentsFolder);
-      userDataPath = path;
+      PWSTR documentsFolder;
+      if (!SHGetKnownFolderPath(FOLDERID_Documents, 0, nullptr, &documentsFolder))
+      {
+         CHAR path[4096];
+         wsprintf(path, "%S\\Surge\\", documentsFolder);
+         userDataPath = path;
+      }
    }
 #endif
 #endif
